Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563542 - End time for PSQL and Engine data collection is not clear in Log
Summary: End time for PSQL and Engine data collection is not clear in Log
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: General
Version: 4.2.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 06:56 UTC by Ilan Zuckerman
Modified: 2018-07-02 07:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-02 07:37:52 UTC
oVirt Team: Integration
rule-engine: ovirt-4.3+


Attachments (Terms of Use)

Description Ilan Zuckerman 2018-04-04 06:56:51 UTC
Description of problem:

When looking at ovirt-log-collector.log after executing it on environment with Engine and hosts, one can not say when the collection of localhost data and PSQL data is done.
It is possible to see when it starts:
2018-04-01 10:36:23::INFO::__main__::1493::root:: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
 
But couldn't find where it ends. 


Version-Release number of selected component (if applicable):
ovirt-log-collector-4.2.4

How reproducible:
Always

Steps to Reproduce:
1. execute log collector from engine as an example:
ovirt-log-collector --user=XXX --hosts=<list of hosts> --log-file=/path/to/ovirt-log-collector.log
2. Observe the log, grep for "Gathering PostgreSQL"
3. Try searching when this process ends

Actual results:
Couldn't find when this ends.

Expected results:
Should be able to with end time with ease. for example, finding end and start for hosts is fairly easy be grepping "collecting" and "finished collecting".


Additional info:
ovirt-log-collector.log is attached in private message.

Comment 2 Yaniv Lavi 2018-07-02 07:37:52 UTC
Closing old bugs.
Please reopen if still relevant.
In any case patches are welcomed.


Note You need to log in before you can comment on or make changes to this bug.